FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202104142050.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202104142050.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=117ce62 OS_GIT_VERSION=4.7.0-202104142050.p0-117ce62 SOURCE_DATE_EPOCH=1611674100 SOURCE_GIT_COMMIT=117ce62c69b399c524850f4ca32324a4ed288acd SOURCE_GIT_TAG=117ce62 SOURCE_GIT_URL=https://github.com/openshift/openstack-cinder-csi-driver-operator 
WORKDIR /go/src/github.com/openshift/openstack-cinder-csi-driver-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.7.0.20210414.211818
ENV __doozer=update BUILD_RELEASE=202104142050.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202104142050.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=117ce62 OS_GIT_VERSION=4.7.0-202104142050.p0-117ce62 SOURCE_DATE_EPOCH=1611674100 SOURCE_GIT_COMMIT=117ce62c69b399c524850f4ca32324a4ed288acd SOURCE_GIT_TAG=117ce62 SOURCE_GIT_URL=https://github.com/openshift/openstack-cinder-csi-driver-operator 
COPY --from=builder /go/src/github.com/openshift/openstack-cinder-csi-driver-operator/openstack-cinder-csi-driver-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/openstack-cinder-csi-driver-operator"]

LABEL \
        io.k8s.display-name="OpenShift OpenStack Cinder CSI Driver Operator" \
        io.k8s.description="The OpenStack Cinder CSI Driver Operator installs and maintains the OpenStack Cinder CSI Driver on a cluster." \
        name="openshift/ose-openstack-cinder-csi-driver-operator" \
        com.redhat.component="ose-openstack-cinder-csi-driver-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202104142050.p0" \
        io.openshift.build.commit.id="117ce62c69b399c524850f4ca32324a4ed288acd" \
        io.openshift.build.source-location="https://github.com/openshift/openstack-cinder-csi-driver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/openstack-cinder-csi-driver-operator/commit/117ce62c69b399c524850f4ca32324a4ed288acd" \
        version="v4.7.0"

